# Repzo API - Payments

OpenAPI specification for Repzo Payments endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/payments`

#### GET /payments

**Summary:** Find payments

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering payments |

##### Responses

**200** - A list of payments

Content-Type: `application/json`

---

#### POST /payments

**Summary:** Create a payment

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Payment created

Content-Type: `application/json`

---

### `/payments/{id}`

#### GET /payments/{id}

**Summary:** Get a payment by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Payment details

Content-Type: `application/json`

---

#### PUT /payments/{id}

**Summary:** Update a payment

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Payment updated

Content-Type: `application/json`

---

## Data Models

### PaymentFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### PaymentCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `amount` | number | No | No description |

| `paymentMethod` | string | No | No description |

| `reference` | string | No | No description |

| `description` | string | No | No description |

| `date` | string | No | No description |

### PaymentCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### PaymentGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### PaymentUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `amount` | number | No | No description |

| `paymentMethod` | string | No | No description |

| `reference` | string | No | No description |

| `description` | string | No | No description |

| `date` | string | No | No description |

### PaymentUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### Payment

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `client` | string | No | No description |

| `rep` | string | No | No description |

| `amount` | number | No | No description |

| `paymentMethod` | string | No | No description |

| `reference` | string | No | No description |

| `description` | string | No | No description |

| `date` | string | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [payments-examples.md](./payments-examples.md) for detailed TypeScript usage examples.
